# Class IllegalFeatureTypeException

Object
Throwable
Exception
DataStoreException
IllegalFeatureTypeException

All Implemented Interfaces:
  `Serializable`, `LocalizedException`

public class IllegalFeatureTypeException extends DataStoreException
Thrown when a store cannot write the given feature because its type is not one of the supported types. The `FeatureType` is given by `Feature​.getType()`, and the type expected by the data store is given by `FeatureSet​.getType()`. Those two values must match, except when the type of the feature set is updated.

Since:
  0.8
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IllegalFeatureTypeException(String message)`
  Creates an exception with the specified details message.
  `IllegalFeatureTypeException(String message, Throwable cause)`
  Creates an exception with the specified details message and cause.
  `IllegalFeatureTypeException(Throwable cause)`
  Creates an exception with the specified cause and no details message.
  `IllegalFeatureTypeException(Locale locale, String format, GenericName dataType)`
  Creates an exception with a default message in the given locale.

- ## Method Summary

  ### Methods inherited from class DataStoreException

  `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IllegalFeatureTypeException

    public IllegalFeatureTypeException(String message)
    Creates an exception with the specified details message.
    Parameters:
      `message` - the detail message.

  - ### IllegalFeatureTypeException

    public IllegalFeatureTypeException(Throwable cause)
    Creates an exception with the specified cause and no details message.
    Parameters:
      `cause` - the cause for this exception.

  - ### IllegalFeatureTypeException

    public IllegalFeatureTypeException(String message, Throwable cause)
    Creates an exception with the specified details message and cause.
    Parameters:
      `message` - the detail message.
      `cause` - the cause for this exception.

  - ### IllegalFeatureTypeException

    public IllegalFeatureTypeException(Locale locale, String format, GenericName dataType)
    Creates an exception with a default message in the given locale.
    Parameters:
      `locale` - the locale for the message, or `null` for the default locale.
      `format` - short name of the format that do not accept the given feature type.
      `dataType` - name of the feature type that cannot be accepted by the data store.